.popup {
    width: 220px;
    height: auto;
    border-radius: 14px;
    background: #FFF;
    display: flex;
    gap: 15px;
    flex-direction: column;
    overflow: hidden;
}

.popup .popup-wrapper .popup-container {
    padding: 15px;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.popup .popup-wrapper {
    max-height: 342px;
}
.popup .popup-wrapper > div {
    /* display: flex; */
    flex-direction: column;
    /* gap: 15px; */
}

.popup .popup-wrapper .os-scrollbar {
    --os-size: 18px;
    padding-right: 7px;
    padding-left: 7px;
    padding-top: 18px;
    padding-bottom: 18px;
}

.popup .popup-wrapper .os-viewport {
    padding-right: 18px;
}

.popup .popup-header {
    height: 18px;
    display: flex;
    justify-content: space-between;
}
.popup .popup-header .title {
    color: #121417;
    font-size: 12px;
    font-weight: 500;
}
.popup .popup-header .close-button {
    display: flex;
    width: 18px;
    height: 18px;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.popup .popup-header .close-button svg {
    color: #8A919B;
}

.popup .popup-content {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.popup .popup-content .text {
    color: #8A919B;
    font-size: 10px;
    font-weight: 400;
}

.popup .popup-content .popup-social-networks {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.popup .popup-content .popup-social-networks .popup-social-network {
    padding: 5px;
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
    background: #fff;
    transition: background 300ms;
    border-radius: 7px;
}

.popup .popup-content .popup-social-networks .popup-social-network:hover {
    background: #E8EAED;
    transition: background 300ms;
}

.popup .popup-content .popup-social-networks .popup-social-network .icon {
    width: 30px;
    height: 30px;
    background: #E8EAED;
    border-radius: 7px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.popup .popup-content .popup-social-networks .popup-social-network .icon svg {
    color: #1F2328;
}
.popup .popup-content .popup-social-networks .popup-social-network .name {
    color: #121417;
    font-size: 12px;
    font-weight: 500;
}


.popup .popup-content .language-list {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.popup .popup-content .language {
    display: flex;
    justify-content: space-between;
    padding: 5px;
    background: #fff;
    transition: background 300ms;
    border-radius: 7px;
    cursor: pointer;
}

.popup .popup-content .language:hover {
    background: #E8EAED;
    transition: background 300ms;
}

.popup .popup-content .language .left {
    display: flex;
    align-items: center;
    gap: 8px;
}
.popup .popup-content .language .left .icon {
    width: 30px;
    height: 30px;
}
.popup .popup-content .language .left .icon svg {
    width: 30px;
    height: 30px;
}
.popup .popup-content .language .left .details {
    display: flex;
    flex-direction: column;
}
.popup .popup-content .language .left .details .main-name {
    color: #121417;
    font-size: 12px;
    font-weight: 500;
}
.popup .popup-content .language .left .details .sub-name {
    color: #262B31;
    font-size: 10px;
    font-weight: 400;
}

.popup .popup-content .language .right {}
.popup .popup-content .language .right svg {}


.popup .popup-scrollable-header {
    position: sticky;
    top: 0;
    width: calc(100% - 15px);
    height: 34px;
    margin-bottom: -35px;
    background: #fff;
    border-radius: 24px 24px 0px 0px;
    padding-right: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #f4f5f6;
}
.popup .popup-scrollable-header .popup-scrollable-header-title {
    color: #121417;
    font-size: 12px;
    font-weight: 500;
    width: 100%;
    text-align: center;
    padding-left: 33px;
    cursor: pointer;
}
.popup .popup-scrollable-header .popup-scrollable-header-close {
    cursor: pointer;
    color: #8a919b;
    transition: all 300ms;
    width: 18px;
    height: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.popup .popup-scrollable-header .popup-scrollable-header-close:hover {
    color: #121417;
    transition: all 300ms;
}